<?php
/**
 * DiscountConditionTypeEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. Marketing.
 *
 * Маркетинг
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\MarketingClient\Dto;
use \Ensi\MarketingClient\ObjectSerializer;

/**
 * DiscountConditionTypeEnum Class Doc Comment
 *
 * @category Class
 * @description Тип условия возникновения права на скидку:   * &#x60;2&#x60; - На заказ от определенной суммы   * &#x60;3&#x60; - На заказ от определенной суммы товаров заданного бренда   * &#x60;4&#x60; - На заказ от определенной суммы товаров заданной категории   * &#x60;5&#x60; - На количество единиц одного товар   * &#x60;6&#x60; - На способ доставки   * &#x60;7&#x60; - На способ оплаты
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class DiscountConditionTypeEnum
{
    /**
     * Possible values of this enum
     */
    const MIN_PRICE_ORDER = 2;
    const MIN_PRICE_BRAND = 3;
    const MIN_PRICE_CATEGORY = 4;
    const EVERY_UNIT_PRODUCT = 5;
    const DELIVERY_METHOD = 6;
    const PAY_METHOD = 7;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::MIN_PRICE_ORDER,
            self::MIN_PRICE_BRAND,
            self::MIN_PRICE_CATEGORY,
            self::EVERY_UNIT_PRODUCT,
            self::DELIVERY_METHOD,
            self::PAY_METHOD,
        ];
    }
}


